 Home

Welcome to WinDVD Tweaker Help

WinDVD Tweaker is a utility that helps users to get the most out of WinDVD. This help file aims to describe how the program should be used.


Setting Up WinDVD Tweaker

In order for WinDVD Tweaker to take an effect on WinDVD, it too must be set up using the "Tweaker" tab of the program. The settings here should be by default, correct for your system but if they are not you can specify certain options here.

Click here to see more help on the "Tweaker" section.


Tweaking

To successfully tweak WinDVD to get the most out of it, you should know a little bit about the system you are using.

Step 1:

Make sure WinDVD is closed before you save settings. This is because when WinDVD opens it will read new settings and when it closes it saves its currently loaded settings again. Therfore it would not be a good idea to start saving settings while it was already loaded.

Step 2:

Open each section of the tweaker, especially General, Audio and Video and select the settings that are valid for your setup. There are still many video settings whose effects are unknown so you may wish to experiment. Usually running the audio \ video wizards can help set up your system quickly.

Step 3:

Click on "Apply" to save these settings. You may receive a warning message telling you that there are problems. Click "fix all" to have WinDVD Tweaker attempt to fix all of the settings. Some settings are known to cause problems, and the error reporter will find them.


Regions

Overview of how to watch different region disks on your PC.

In order to stop people watching different region disks on their PCs, manufacturers are forced to add a special "region lock" to their DVD-Drives. This lock is designed to give you only 5 chances to change the region. After this your region will be locked to the last used region and cannot be changed.

Step 1: Check if your DVD-Drive is region locked or not.

To check whether your DVD-Drive is currently region locked or not you can download "CDVD Info" which will give you information on your DVD-Drives current lock status. Download "Drive Info" from http://perso.club-internet.fr/farzeno/dvds/driveinfo22.exe. If this link doesn't work please visit the download section of the WinDVD Tweaker Homepage. If it reports your Drive is already region free then you can go straight to Step 3.

Step 2: Unlock your DVD-Drive:

To enable you to watch multiple region disks on your PC first you must first download a new firmware for your DVD-Drive that does not contain this region lock. A firmware is simply a piece of software that is on your DVD-Drive, that behaves like a system bios. This firmware contains the region lock. Most drives have a firmware available that is not region locked. Most of the available firmwares for each DVD-Drive have been added to http://forum.rpc1.org/dl_all.php Here you should search for a region free firmware update that is designed for your drive. Make sure you download a firmware that is for your exact model. Failure to do so may result in the death of your DVD-Drive. Note that whenever you see "RPC-1" that means that it is region free, and "RPC-2" means that it is still region locked. Once you find a region free patch\firmware for your drive you can put it onto the drive. Putting this new firmware onto your DVD-Drive is known as flashing. You will usually need to start your PC from a floppy disk, and into dos mode before you can flash. If you need to download a Windows98 or XP bootdisk you can download some from http://www.bootdisk.com. For some drives, eg. Lite-On a simple utility that can be run from Windows can be used to unlock the firmware already on the drive.

Step 3: Use WinDVD Tweaker to bypass the Region Lock:

After your DVD-Drive is region free, then WinDVD will try to take its place and will record how many times you have changed the region. This is where WinDVD Tweaker comes in. By selecting "Automatically Remove Region Protection on DVD Insert" from the Region tab, WinDVD Tweaker Pro will automatically set WinDVD o use the correct region but not bring your "5 tries left" counter down. If for some reason the counter has reached zero, then you can click on the "Set Counter back to 5" button in the Region tab.


General Presets

What are they:

General presets are files that can be created with WinDVD Tweaker to store WinDVDs settings. The files carry the file extension ".dvd" and can be loaded from within WinDVD Tweaker or by double clicking them from outside WinDVD Tweaker.

Most general, audio and video settings are stored within these files. If there is a setting that does not save, and you would like it to be saved please contact me.

Extension:

.dvd


Window Presets

What are they:

Window presets are files that can be created with WinDVD Tweaker to store certain Window Sizes. Although the automatic calculation of window sizes should be enough for most people this facility is here incase someone needs it. The files carry the file extension ".win" and can be loaded from within WinDVD Tweaker or by double clicking them from outside WinDVD Tweaker.

All window presets that are found in the WinDVD Tweaker folder, will be added to the list in the program so you can select whatever one you like from the drop down list.

Extension:

.win


Blanking Presets

What are they:

Blanking presets are files that can be created with WinDVD Tweaker to store certain Blanking configurations. Although the automatic calculation of blanking bars should be enough for most people this facility is here incase someone needs it. The files carry the file extension ".blk" and can only be loaded from within WinDVD Tweaker.

All blanking presets that are found in the WinDVD Tweaker folder, will be added to the list in the program so you can select whatever one you like from the drop down list.

Extension:

.blk


Movie Presets

What are they:

Movie presets are files that can be created with WinDVD Tweakers Disc Manager to store certain movie configurations. They store the name of a General, Window, and Blanking preset that should be used with that certain movie. They also store the name of the Movie and the name on the DVD Disc. The files carry the file extension ".mve" and can be loaded from within WinDVD Tweaker or by double clicking them from outside WinDVD Tweaker.

See Disc Manager help here for more information on Movie Presets.

Extension:

.mve


Tweaker

WinDVD Tweaker Mode:

This allows you to choose whether you will be using WinDVD itself (WinDVD Mode) or using another program with WinDVDs filters, to watch DVDs.

WinDVD Registry Area:

This option does not apply to WinDVD Platinum. If you are using older versions than WinDVD 4, then this setting is very important. Through different versions, WinDVD changed its area for storing its settings. The two areas are usually "Software\Intervideo\WinDVD" and "Software\Intervideo\WinDVDi". If you find that settings are not working, then try changing this setting to the alternative by using the "Alternative" button.

Folder Locations:

This is also simply an area to enter the WinDVD folder locations incase the tweaker does not detect them correctly. It is important that these are correct as WinDVD Tweaker uses them to gather information about eg. the current WinDVD version in use. To quickly get the correct entries here, click the "Folder Setup" button. It will prompt you to choose the WinDVD.exe location. If selected correclty, all three folder locations should be automatically be detected.

"Delete WinDVD Registry"

This button totally deletes the WinDVD registry settings. Clicking this button may render WinDVD useless.

"Reset WinDVD Tweaker"

This button will delete all WinDVD Tweakers current settings and they will be redetected as if the program has just been installed. Note that registration information will not need to be reentered.


General

Toolbar:

Enable to show the toolbar in older versions of WinDVD.

Fullscreen Player:

When enabled, even in fullscreen mode, the WinDVD controls will be available.

Fullscreen Hide Player in x seconds:

When the fullscreen player option is enabled then you may specify the amount of time WinDVD should wait before its controls are hidden.

Display Actions Onscreen

When enabled, after every action like pause, stop, the action performed will be displayed within WinDVDs window.

Menu:

This setting has almost no effect on WinDVD at all.

Status Bar:

Enable to show the status bar in older versions of WinDVD.

Skins:

Select a skin for use in WinDVD here or browse to a custom skin that you have downloaded. You may have to put any custom skins into a "\Skins" folder in order for WinDVD to accept them. The browse button tries to enforce these rules too.

Disable Autorun on DVD-Insert for x seconds:

This setting can be used to block annoying programs included on some DVDs like PC Friendly. WinDVD will still be started if you have selected so in WinDVD Tweaker options. 30 seconds was found to be an adequate amount of time for most DVD-Drives.

WinDVDs Autoplay:

When enabled, WinDVD will start playing a DVD if it is opened. If disabled although WinDVD may start, the DVD may not play.

Open Browser on Capture:

When enabled you will be prompted after capturing an image, as to where to save it.

Open Browser on Bookmark:

When enabled you will be prompted after creating a bookmark, as to where to save it.

Show Performance Warning:

This setting can disable\enable the performance warning sometimes shown at WinDVD startup

Disable Quality Display:

This will allow\disallow you the ability to change video quality settings from within WinDVD.

Disable Region Changing in WinDVD:

This option will allow\disallow changing of the region from within WinDVD.

Don't connect to the internet for updates:

Selecting this setting will stop WinDVD from connecting to the internet for updates.

Auto Resume:

This is a very handy feature of WinDVD, select the appropriate setting for your own needs.

Display Color Controls:

This setting will allow\disallow changing of colour settings from WinDVD

Splash Screen\Background:

Here you can disable\enable the WinDVD splashscreen or change WinDVDs background image to be displayed when a DVD is not being played.


Audio

Number of speakers \ Output Mode:

Here you simply select how many speakers you are going to be using with WinDVD.

There are several combinations possible when choosing output mode. The most common three are below

1:) Using Analog output: WinDVD will decode all Dolby Digital \ DTS content and output it straight through your soundcard to your speakers. This is recommended as many video to audio syncing problems can occur when using S/PDIF output.

2:) S/PDIF output using soundcard to decode audio: Selecting S/PDIF from WinDVD. Deselecting SPDIF Passthrough from soundcard software if available. eg. On Soundblaster Audigy cards this option decode AC-3 (Dolby Digital) is available from AudioHQ - > Device Controls - > Decoder and is enabled by default.

3:) S/PDIF output using external decoder to decode audio: Selecting S/PDIF from WinDVD. Select SPDIF Passthrough from soundcard software if available. eg. On Soundblaster Audigy cards this option to passthrough audio straight to an external decoder is available from AudioHQ - > Device Controls - > Decoder. Note that a S/PDIF connection must be available on your soundcard for this option to be successful.

Expand to Surround Using:

If you have more than 2 speakers and you are listening to any 2-channel content, selecting "Intervideo ICE" or "Dolby Prologic II" will allow you to hear audio in all 5 speakers.

Environment:

Select Theater for best sound quality. Select Normal if your sound output is extremely low even with Windows and WinDVD volume set to max.

Send LFE (Bass) to Speakers \ Headphones instead of subwoofer:

Only enable this setting if you do not have a subwoofer. Some speakers may become damaged if they cannot handle such deep sounds.

Use Windows Master Volume not Waveout Volume:

As this setting says, when enabled WinDVD will use the Windows Master Volume setting instead of the Waveout Volume. Some users may find this setting useful.

External Prologic Controller:

The external Dolby Pro Logic Processor setting should normally be enabled, uncheck this setting only if you prefer stereo-only decoding on two channel Dolby Surround sources.

LFE On:

Enable this setting to make sure LFE (Low Frequency Effects) are decoded.

Output Renderer:

The directsound option has three options, Auto, DirectSound or Waveout. Automatic mode usually is fine but some users may have problems with certain renderers. Try changing this option from auto, to one of the other options if you are having audio problems.

Maximum WinDVD Speaker Output:

This setting can fix problems with WinDVD not detecting how many speakers the system has. Select your current speaker setup here to make sure such problems don't occur.

Decoding options:

You can select here individual settings to specify the maximum decoding bit and range of your soundcard.

Dynamic Range Control:

A setting of zero here will make WinDVD output the original sound unchanged (recommended). Any higher setting and WinDVD will take some of the detail away to make sure the volume does not go too high.

Amplification:

You should only enable this option if your volume output is extremely low. Enabling will reduce sound quality.


Video

Hardware Decode Acceleration:

When enabled WinDVD will use your Graphics card to accelerate playback of video content. Enable this setting for best performance.

Hardware Color Acceleration:

When enabled WinDVD will use your graphics cards overlay color settings. Most graphics drivers allow access tothese through Display Properties-> Settings -> Advanced. Enable unless problems occur.

DxVA (DirectX Video Acceleration):

Microsoft DirectX VA provides a standard interface for applications and device drivers to interact with the hardware acceleration of video decoding, including alpha lending for DVD subpicture support. It is recommended to enable this setting.

NVidia Mode:

If you own an NVidia graphics card, select the appropriate option here to enablev ideo optimisations for that card. If you don't own one select None

Direct Show Navigation:

Results of using this setting can vary from video card to video card. A setting of 2 is the default in WinDVD when Hardware Motion Compensation is enabled. A setting of 0 is default when Motion Compensation is disabled. A setting of 2 with HWMC enabled can give very smooth video playback but a setting of 1 with HWMC enabled, even though not as smooth, WinDVD \ Windows seems to select the correct de-interlacing mode every time when it is set to Auto.

Smooth Horizontal Scaling:

Smoothens the image when the WinDVD window is scaled horizontally

Smooth Vertical Scaling:
Smoothens the image when the WinDVD window is scaled vertically

Software Bob (De-interlacing):
Enable software de-interlacing which smoothens the image.

More Quality Options:
Use this bar to select the quality versus speed bar. If you encounter very slow playback try more speed but if not select highes quality.

De-Interlace Mode:

Use this to select how WinDVD filters the picture. This is very important to the image quality.I recommend using Weave for movies and Bob for lower quality special feature sections of DVDs. Weave will give much better quality in movies but give horizontal lines in lower quality video content. Bob will give bad quality in movies but great quality in low quality areas. Auto mode often cannot detect which mode is correct so you may want to select your own setting.

Color and Brightness Options:

Here you can accurately select color options. Gamma is the intensity of color or its tendancy towards white. Black and white levels themselves are not effected, only the transition from one to the other.

Other Video Options:

The effects of alot of the other video options are unknown. Some users report video problems being fixed after enabling some of these options.


Region

Automatically Remove Region Protection on DVD Insert

When checked WinDVD Tweaker will disable WinDVDs region protection. When disabled no automatic region removal will be done. Click here to read more about making your system region free. WinDVD Tweaker Pro will need to be open (or at least running in the system tray) for automatic region removal to continue.

Note: When WinDVD Tweaker is loaded it may not be able to detect what region mode WinDVD is currently in. This will not effect the running of the program in any way.


WinDVD Window Overview

Display Control Overview:

The display control section is split into two main subsections sections. These are WinDVD Window Control and Resolution Control. Both sections are explained in more detail below.

- WinDVD Window Control -

This section of the program was created for many different situations. WinDVD always believes that your display device has an aspect ratio of the same resolution of your monitor, usually 4:3 (not fullscreen). Alot of people however want to watch their movies on their 16:9 (or any other aspect) TVs and Projectors and leave their monitor at its normal resolution.

WinDVD Tweaker Pro will take all of these variables into account and work out automatically what size the WinDVD Window should be in order to display the correct aspect on your display.

- Resolution Control -

This section of the program allows control over your screens resolution, colour depth and refresh rate. You can also select different resolution settings that can be automatically set for you when the DVD you are watching is of different formats.


WinDVD Window General

Enable control of WinDVD Window:

With this setting enabled the rest of the WinDVD Window section will work. When disabled, WinDVD Tweaker will have no effect on WinDVD.

Lock Window:

This setting enables a regular check of the Windows Position and Size. This check makes sure that position and size are as they should be. This setting should be enabled for best results as sometimes WinDVD will change its Window Size.

Automatic Window Size Mode:

When enabled, you can simply select the source aspect of the DVD you are watching and all Window Size calculations will be done automatically (recommended). When disabled you will be able to enter custom sizes for the WinDVD Window. The DVD Aspect is usually wrote on the back of the DVD package and there is usually a note that says eg. "Enhanced for widescreen TVs" which indicates that it is Anamorphic.

Window Positon:

The window positon setting defines the placement of the top left corner of the WinDVD Window. The x and y settings for this position can be defined using "Custom" settings or automatically calculated using "Center" or alignment. See the WinDVD Window Options Help for more information on top and bottom alignment.


Blanking

Enable Blanking:

Blanking is the name given to the black bars created WinDVD Tweakers Pro itself. You must enable blanking in order to make the Windows desktop and icons become blanked out. You can define custom sizes for each black bar if you disable "Enable Automatic Blanking" You should enable blanking when you have selected all other options like source aspect.

Enable Automatic Blanking:

When enabled WinDVD Tweaker will work out where the black bars should go (recommended).


Display Setup

Display Device Aspect:

This is the section where you can select what type of display you are using. Remember that 16 / 9 is widescreen and 4 / 3 is the aspect of a standard TV. You can also select custom aspects if you are using some strange projector setup.

TV Overscan Adjustment:

Overscan is the term given to how some TVs, old and new, display some of the image outside of the viewable area. You can use this section to compensate for that. Use the wizard to setup values or type them manually. All automatic calculations will be done with these settings as factors and the display aspect of the final image will not be damaged no matter what overscan settings are used.


WinDVD Window Options

Automatic Window Size Calculation Options:

These options will determine how automatic window size calculations are done. The default setting is "Always remove black bars" = off, "Always display image in ..." on. The default ensures that no stretching occurs and that all of the image is seen on your display device. Select alternate options if you like but some of the image may need to be cut in order to fulfill the options, or the image may be stretched. The "Result:" label will show you the effect the settings may have on the image.

Window Top\Bottom Alignment Options:

These options determine if an offset should be used to give true top bottom alignment. This extra offset is used as some movies come with a black bar encoded onto them (usually any movie with aspect ratio greater than 16:9). You should enable Use Offset and Auto Calculate Offset if you would like this offset value to be calculated automatically.

General Options:

Disable WinDVD Fixed Aspect Ratio Lock on WinDVD start:

This option disables WinDVDs lock automatically when WinDVD starts as with it enabled, WinDVD Window resizing cannot occur without problems. Some versions of WinDVD do not require this "unlocking" at each startup and you can simply disable the "Lock Aspect Ratio" option in Video - 2. Note that this setting will not take effect unless the option "Enable Control of WinDVD Window" is enabled.

Startup Fullscreen:

This is a WinDVD option to start WinDVD in fullscreen mode.

Change viewing size instead of Window Size (Highly Recommended):

When enabled, instead of working on the WinDVD outer windoe size, WinDVD Tweaker will take as an extra offset, the Window borders. These border sizes are automatically worked out but if you are using some strange window border size and you are not using WinDVD Platinum then you can specify these window sizes in WinDVD Tweaker Options.

Do not hide taskbar when blanking:

Enabling this option will stop WinDVD Tweaker from hiding the Windows Taskbar. You should leave this option disabled.

Automatically Disable Aspect Ratio Lock when it is found to be enabled:

When enabled WinDVD Tweaker will try to find out if the WinDVD Aspect ratio lock is enabled. Enable unless problems with window changing its position regulary occurs.


Disc Manager

Overview:

Disc Manager is a utility within WinDVD Tweaker that allows you to create Movie Presets. See Movie Preset help for more information on these presets. By clicking Disc Manager in WinDVD Tweaker you will open the Disc Manager utility. You can associate certain General, Window and Blanking presets with a movie. When WinDVD Tweaker is opened and a new DVD is inserted, WinDVD Tweaker will look to see if you have created a movie preset for that DVD. If you did then it will load the appropriate settings for that movie and then open WinDVD.

If you like you can use WinDVD Tweakers Autorun section to set WinDVD Tweaker Disc Manager as the default DVD program to run when a DVD is inserted. This will run WinDVD Tweaker with the command line ...."path\WinDVD Tweaker.exe /auto". When WinDVD Tweaker is run with this command line option, it will load and automatically check if a movie file is associated with that DVD.